Create Event: Knock
https://api.propexo.com/crm/v1/events/knock/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the prospect
The Propexo unique identifier for the community
The Propexo unique identifier for the attribution. Required for CALL events
The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events
The name or type of event
Show 5 enum values
SMSCHATCALLEMAILACTIVITYThe date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events
Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events
The body of the email. Required for EMAIL events
The subject of the email. Required for EMAIL events
The status of the call. Required for CALL events
Show 6 enum values
ANSWEREDMISSED_NO_VOICEMAILMISSED_VOICEMAILHUNG_UPFAILEDTERMINATEDThe start time of the event. Required for CALL events
The end time of the event. Required for CALL events
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the prospect
The Propexo unique identifier for the community
The Propexo unique identifier for the attribution. Required for CALL events
The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events
The name or type of event
Show 5 enum values
SMSCHATCALLEMAILACTIVITYThe date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events
Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events
The body of the email. Required for EMAIL events
The subject of the email. Required for EMAIL events
The status of the call. Required for CALL events
Show 6 enum values
ANSWEREDMISSED_NO_VOICEMAILMISSED_VOICEMAILHUNG_UPFAILEDTERMINATEDThe start time of the event. Required for CALL events
The end time of the event. Required for CALL events
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/events/knock/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"prospect_id": "string",
"community_id": "string",
"event_name": "SMS"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"prospect_id": "string",
"community_id": "string",
"attribution_id": "string",
"agent_id": "string",
"event_name": "SMS",
"event_datetime": "2024-07-29T15:51:28.071Z",
"notes": "string",
"email_body": "string",
"email_subject": "string",
"call_status": "ANSWERED",
"time_from": "2024-07-29T15:51:28.071Z",
"time_to": "2024-07-29T15:51:28.071Z"
}
}